> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saucerswap.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Single-Sided Staking statistics

| Hedera Network | Base URL                                                                   |
| -------------- | -------------------------------------------------------------------------- |
| Mainnet        | [https://api.saucerswap.finance](https://api.saucerswap.finance)           |
| Testnet        | [https://test-api.saucerswap.finance](https://test-api.saucerswap.finance) |
| Previewnet     | *Not supported*                                                            |


## OpenAPI

````yaml GET /stats/sss
openapi: 3.0.4
info:
  title: SaucerSwap REST API
  version: 1.0.0
servers:
  - url: https://api.saucerswap.finance
  - url: https://test-api.saucerswap.finance
security: []
paths:
  /stats/sss:
    get:
      tags:
        - Stats
      summary: Single-Sided Staking statistics
      parameters:
        - $ref: '#/components/parameters/ApiKeyParam'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  avg5day:
                    type: number
                    format: float
                    example: 0.0462
                    description: 5-day average APR
                  ratio:
                    type: number
                    format: float
                    example: 1.1172
                    description: XSAUCE to SAUCE ratio
                  sauce:
                    type: string
                    example: '242601707456381'
                    description: SAUCE amount in its smallest unit
                  timestampSeconds:
                    type: integer
                    example: '1697616900'
                    description: Unix timestamp in seconds
                  xsauce:
                    type: string
                    example: '217150119725425'
                    description: XSAUCE amount in its smallest unit
components:
  parameters:
    ApiKeyParam:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        default: 875e1017-87b8-4b12-8301-6aa1f1aa073b
      description: >-
        API key for authentication. The demo api key provided is globally rate
        limited. Do not use in production.

````